Bug 797930 (pgtune) - Review Request: pgtune - PostgreSQL Config Tuner
Summary: Review Request: pgtune - PostgreSQL Config Tuner
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: pgtune
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-27 14:55 UTC by Miroslav Suchý
Modified: 2014-11-10 07:45 UTC (History)
4 users (show)

Fixed In Version: pgtune-0.9.3-4.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-10 07:45:10 UTC
mrunge: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Miroslav Suchý 2012-02-27 14:55:46 UTC
SRC.RPM: http://miroslav.suchy.cz/fedora/pgtune/pgtune-0.9.3-2.fc16.src.rpm
SPEC: http://miroslav.suchy.cz/fedora/pgtune/pgtune.spec

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3822578

rpmlint:
$ rpmlint /home/msuchy/rpmbuild/RPMS/noarch/pgtune-0.9.3-2.fc16.noarch.rpm
pgtune.noarch: W: spelling-error %description -l en_US postgresql -> postgraduate
pgtune.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Matthias Runge 2012-03-03 22:01:14 UTC
I'll take this one

Comment 2 Matthias Runge 2012-03-03 22:16:47 UTC
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generates any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint pgtune-0.9.3-2.fc18.noarch.rpm

pgtune.noarch: W: spelling-error %description -l en_US postgresql -> postgraduate
pgtune.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint pgtune-0.9.3-2.fc18.src.rpm

pgtune.src: W: spelling-error %description -l en_US postgresql -> postgraduate
pgtune.src: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/797930/pgtune-0.9.3.tar.gz :
  MD5SUM this package     : a765e0fc120bad2828167004b277f2d0
  MD5SUM upstream package : a765e0fc120bad2828167004b277f2d0

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Source1: pgtune.8.asciidoc (pgtune.8.asciidoc) Patch0: pgtune-
     settingsdir.patch (pgtune-settingsdir.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint pgtune-0.9.3-2.fc18.noarch.rpm

pgtune.noarch: W: spelling-error %description -l en_US postgresql -> postgraduate
pgtune.noarch: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint pgtune-0.9.3-2.fc18.src.rpm

pgtune.src: W: spelling-error %description -l en_US postgresql -> postgraduate
pgtune.src: W: spelling-error %description -l en_US conf -> con, cone, cons
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


I don't see an issue. 

Package approved.

Comment 3 Miroslav Suchý 2012-03-05 12:28:34 UTC
New Package SCM Request
=======================
Package Name: pgtune
Short Description: PostgreSQL Config Tuner
Owners: msuchy
Branches: F-17, F-16, F-15, EL-5, EL-6
InitialCC:

Comment 4 Jens Petersen 2012-03-06 07:23:27 UTC
Git done (by process-git-requests).

Comment 5 Devrim Gündüz 2012-03-06 07:30:56 UTC
Could you please change my email address from @commandprompt.com to @gunduz.org? :)

Regards,
Devrim

Comment 6 Miroslav Suchý 2012-03-06 08:34:36 UTC
Changed Devrim.

Comment 7 Fedora Update System 2012-03-06 08:39:12 UTC
pgtune-0.9.3-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pgtune-0.9.3-3.fc17

Comment 8 Miroslav Suchý 2012-03-06 08:40:08 UTC
Should be in rawhide now. Other versions will follow shortly.

Comment 9 Fedora Update System 2012-03-06 08:40:48 UTC
pgtune-0.9.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/pgtune-0.9.3-3.fc16

Comment 10 Fedora Update System 2012-03-06 09:43:50 UTC
pgtune-0.9.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pgtune-0.9.3-3.fc15

Comment 11 Fedora Update System 2012-03-06 09:44:31 UTC
pgtune-0.9.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pgtune-0.9.3-3.el6

Comment 12 Fedora Update System 2012-03-06 10:12:45 UTC
pgtune-0.9.3-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pgtune-0.9.3-4.el5

Comment 13 Fedora Update System 2012-03-16 21:24:42 UTC
pgtune-0.9.3-3.fc17 has been pushed to the Fedora 17 stable repository.

Comment 14 Fedora Update System 2012-03-17 23:43:10 UTC
pgtune-0.9.3-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 15 Fedora Update System 2012-03-17 23:47:17 UTC
pgtune-0.9.3-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 16 Fedora Update System 2012-03-24 19:04:43 UTC
pgtune-0.9.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 17 Fedora Update System 2012-03-24 19:06:01 UTC
pgtune-0.9.3-4.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 18 Miroslav Suchý 2014-11-06 08:16:10 UTC
Package Change Request
======================
Package Name: pgtune
New Branches: epel7
Owners: msuchy
InitialCC:

Comment 19 Gwyn Ciesla 2014-11-06 12:53:08 UTC
Git done (by process-git-requests).

Comment 20 Devrim Gündüz 2014-11-07 18:35:33 UTC
Apologies for jumping the train too late.

This software is very out of date, and should be removed from Fedora repos until the authors release a new version (not likely soon...)

Regards, Devrim

Comment 21 Matthias Runge 2014-11-10 07:45:10 UTC
Devrim, if you have an issue, please open a new bz rather than picking one and adding content there.


Note You need to log in before you can comment on or make changes to this bug.